Page MenuHomePhabricator

Show "no languages found" message when search returns no results
Closed, ResolvedPublic1 Story Points

Description

When searching for languages, and the language cannot be found, we should should show a helpful message to the user rather than an empty dialog:

Proposed design (As part of T190838 updates to language selection)

See redline version of mock on Zeplin at http://zpl.io/a8ZZQjx

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 17 2016, 6:29 PM

@Dbrant, @Nirzar, this is really low priority.

RHo updated the task description. (Show Details)Apr 16 2018, 7:09 PM
RHo renamed this task from Language selector should show a "no languages found" message when searching returns no results to Show a "no languages found" message when searching languages returns no results.
RHo renamed this task from Show a "no languages found" message when searching languages returns no results to Show "no languages found" message when search returns no results.Apr 16 2018, 7:15 PM
Charlotte set the point value for this task to 1.Apr 17 2018, 4:13 PM

Change 429436 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] Add proper "empty" indicator when searching language selections.

https://gerrit.wikimedia.org/r/429436

Change 429436 merged by jenkins-bot:
[apps/android/wikipedia@master] Add proper "empty" indicator when searching language selections.

https://gerrit.wikimedia.org/r/429436

RHo added a subscriber: RHo.

LGTM on Nexus 5(6.0.1) Wikipedia v2.7.232-alpha-2018-05-01 - moving for additional QA

Testing on Wikipedia app 2.7.232-alpha-2018-05-14. and Galaxy Express 3 phone with Android 6.0.1.

I got a similar design as the examples above:

ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me on 2.7.232-alpha-2018-05-15 as well

Dbrant closed this task as Resolved.Jun 27 2018, 8:04 PM